Subject: Re: [PATCH v2] gnu: racket: Update to 8.8.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 11 Feb 2023 08:16:07 +0100

Am Freitag, dem 10.02.2023 um 19:49 -0500 schrieb Philip McGrath:
> * gnu/packages/patches/racket-backport-8.7-pkg-strip.patch: Remove
> file.
> * gnu/local.mk (dist_patch_DATA): Delete it.
> * gnu/packages/racket.scm (%racket-origin)[patches]: Likewise.
> (%racket-version): Update to 8.8.
> (%zuo-version): Update to 1.6.
> (racket)[inputs]<algol60, cext-lib, deinprogramm, draw, drracket>
> <expeditor, gui, htdp, math, pict, r5rs, redex, sasl, scribble>
> <typed-racket, string-constants, syntax-color>: Update checksums.
> * gnu/packages/chez.scm (chez-scheme-for-racket): Update to
> 9.9.9-pre-release.14.
> ---
> 
> Hi,
> 
> Breaking the update to this single origin into three comits would
> just not be feasible.
It would be feasible if a certain patch hadn't been marked wontfix. 
Racket has a "properly tagged" git repo for Chez (it uses racket-
v$racket-version), and a tagless one for zuo (we can make do with git-
version).  We would have to properly unbundle them however.

>  gnu/local.mk                                  |  3 +-
git am fails for me with "error: sha1 information is lacking or useless
(gnu/local.mk)."
What gives?